package fr.username404.snowygui.gui

import com.mojang.blaze3d.vertex.PoseStack

fun interface Renderable { fun render(poseStack: PoseStack?) }
abstract class Element(
    var x: Int, var y: Int,
    val width: Int, val height: Int
): Renderable {
    fun display(stack: PoseStack? = null) { if (!hidden) render(stack) }
    var hidden: Boolean = false
}